#ifndef __ORECOBJECT_ICE
#define __ORECOBJECT_ICE

#include <jast/common/Object.ice>
#include <jast/common/Coordinates.ice>

module jast {
    module common {

        /**
          An object from the object-recognition module: also includes table coordinates.
         **/
        // Formerly a class -- make sure the C++ mapping doesn't change
        ["cpp:class"]
        struct OrecObject {
            ObjectDesc description;
            TableCoordinates coords;
            string orecId;
        };

        /** A set of object-recognition objects. **/
        ["java:type:java.util.LinkedList<jast.common.OrecObject>"]
        sequence<OrecObject> OrecObjectList;
    };
};

#endif // ORECOBJECT_ICE

